Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs
Interface RegistryErrorType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryErrorTypeImpl

    public interface RegistryErrorType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Error Type'.

The following features are supported:

- `Value`
- `Code Context`
- `Error Code`
- `Location`
- `Severity`

See Also:
  `RegistryPackage.getRegistryErrorType()`

Method Summary
`java.lang.String` | `getCodeContext()` Returns the value of the 'Code Context' attribute.
`java.lang.String` | `getErrorCode()` Returns the value of the 'Error Code' attribute.
`java.lang.String` | `getLocation()` Returns the value of the 'Location' attribute.
`java.lang.String` | `getSeverity()` Returns the value of the 'Severity' attribute.
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`boolean` | `isSetSeverity()` Returns whether the value of the '`Severity`' attribute is set.
`void` | `setCodeContext(java.lang.String value)` Sets the value of the '`Code Context`' attribute.
`void` | `setErrorCode(java.lang.String value)` Sets the value of the '`Error Code`' attribute.
`void` | `setLocation(java.lang.String value)` Sets the value of the '`Location`' attribute.
`void` | `setSeverity(java.lang.String value)` Sets the value of the '`Severity`' attribute.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.
`void` | `unsetSeverity()` Unsets the value of the '`Severity`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `RegistryPackage.getRegistryErrorType_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getCodeContext

    java.lang.String getCodeContext()

  Returns the value of the 'Code Context' attribute.

  If the meaning of the 'Code Context' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code Context' attribute.
  See Also:
    `setCodeContext(String)`, `RegistryPackage.getRegistryErrorType_CodeContext()`

### setCodeContext

    void setCodeContext(java.lang.String value)

  Sets the value of the '`Code Context`' attribute.

  Parameters:
    `value` - the new value of the 'Code Context' attribute.
  See Also:
    `getCodeContext()`

### getErrorCode

    java.lang.String getErrorCode()

  Returns the value of the 'Error Code' attribute.

  If the meaning of the 'Error Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Error Code' attribute.
  See Also:
    `setErrorCode(String)`, `RegistryPackage.getRegistryErrorType_ErrorCode()`

### setErrorCode

    void setErrorCode(java.lang.String value)

  Sets the value of the '`Error Code`' attribute.

  Parameters:
    `value` - the new value of the 'Error Code' attribute.
  See Also:
    `getErrorCode()`

### getLocation

    java.lang.String getLocation()

  Returns the value of the 'Location' attribute.

  If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Location' attribute.
  See Also:
    `setLocation(String)`, `RegistryPackage.getRegistryErrorType_Location()`

### setLocation

    void setLocation(java.lang.String value)

  Sets the value of the '`Location`' attribute.

  Parameters:
    `value` - the new value of the 'Location' attribute.
  See Also:
    `getLocation()`

### getSeverity

    java.lang.String getSeverity()

  Returns the value of the 'Severity' attribute. The default value is `"urn:oasis:names:tc:ebxml-regrep:ErrorSeverityType:Error"`.

  If the meaning of the 'Severity' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `isSetSeverity()`, `unsetSeverity()`, `setSeverity(String)`, `RegistryPackage.getRegistryErrorType_Severity()`

### setSeverity

    void setSeverity(java.lang.String value)

  Sets the value of the '`Severity`' attribute.

  Parameters:
    `value` - the new value of the 'Severity' attribute.
  See Also:
    `isSetSeverity()`, `unsetSeverity()`, `getSeverity()`

### unsetSeverity

    void unsetSeverity()

  Unsets the value of the '`Severity`' attribute.

  See Also:
    `isSetSeverity()`, `getSeverity()`, `setSeverity(String)`

### isSetSeverity

    boolean isSetSeverity()

  Returns whether the value of the '`Severity`' attribute is set.

  Returns:
    whether the value of the 'Severity' attribute is set.
  See Also:
    `unsetSeverity()`, `getSeverity()`, `setSeverity(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD